%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global project_name kubernetes-dashboard

Name:           %{project_name}
Version:        1.10.1
Release:        1.1.7%{dist}
BuildArch:      x86_64
Summary:        Kubernetes Dashboard is a general purpose, web-based UI for Kubernetes clusters.
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/kubernetes/dashboard
Source:         dashboard-%{version}.tar.bz2
Requires:       docker-engine

%description
Kubernetes Dashboard is a general purpose, web-based UI for Kubernetes clusters.
It allows users to manage applications running in the cluster, troubleshoot them, as well as manage the cluster itself.

%prep
%setup -q -n dashboard-%{version}

%build
./build-k8s-dashboard-base-container.sh
./build-k8s-dashboard-binary.sh

%install
install -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir} _new_output/dashboard

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/dashboard

%changelog
* Fri Oct 18 2019 Murali Annamneni <murali.annamneni@oracle.com> 1.10.1-1.1.7
- Added -1 in container image tag to differentiate with v1.10.1

* Thu Oct 17 2019 Murali Annamneni <murali.annamneni@oracle.com> 1.10.1-1.1.6
- Added THIRD_PARTY_LICENSES.txt

* Wed Oct 16 2019 Murali Annamneni <murali.annamneni@oracle.com> 1.10.1-1.1.5
- CVE-2019-16276 fix (bumpup golang to 1.12.10)

* Thu Aug 29 2019 Michael Calunod <michael.calunod@oracle.com> - 1.10.1-1.1.4
- Dropping "-amd64" from image name kubernetes-dashboard

* Mon Jul 01 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.10.1-1.1.3
- Release of kubernetes-dashboard-1.10.1-1.0.1

* Wed May 29 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.10.1-1.1.2
- Onboard dashboard to pipeline
- Fix dependency issue in build container

* Mon Feb 04 2019 Muminul Islam <muminul.islam@oracle.com> - 1.10.1-1.1.1
- Use golang 1.11.5 to build(CVE-2019-6486)

* Thu Jan 03 2019 Ivin Sony <ivin.sony@oracle.com> - 1.10.1.1.0.1
- Addressing CVE-2018-18264 (Auth bypass from service account)

* Mon Jul 16 2018 Juan Ortiz <juan.ochoa.ortiz@oracle.com> - 1.8.3-2.0.1
- Update to v1.8.3
